import JSZip from 'jszip';
export declare type DefaultAttribute = {
    Extension: string;
    ContentType: string;
};
export declare type RelationshipAttribute = {
    Id: string;
    Type: string;
    Target: string;
};
export declare type SlideListAttribute = {
    id: (xml: XMLDocument) => number;
    'r:id': string;
};
export declare type OverrideAttribute = {
    PartName: string;
    ContentType: string;
};
export declare type HelperElement = {
    archive: JSZip;
    assert?: (xml: XMLDocument) => void;
    clause?: (xml: XMLDocument) => boolean;
    parent: (xml: XMLDocument) => Element;
    file: string;
    tag: string;
    attributes?: DefaultAttribute | OverrideAttribute | SlideListAttribute | RelationshipAttribute;
};
export declare type TemplateInfo = {
    name: string;
    slides: SlideInfo[];
};
export declare type SlideInfo = {
    id: number;
    number: number;
    elements: ElementInfo[];
};
export declare type ElementInfo = {
    name: string;
    type: string;
    id: string;
};
